PointsParser (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.util.svg
Class PointsParser

    java.lang.Object
      com.mxgraph.util.svg.AbstractParser
          com.mxgraph.util.svg.NumberParser
              com.mxgraph.util.svg.PointsParser

All Implemented Interfaces:
  Parser

    public class PointsParser

extends NumberParser

This class implements an event-based parser for the SVG points attribute values (used with polyline and polygon elements).

Field Summary
`protected boolean` | `eRead` Whether the last character was a 'e' or 'E'.
`protected PointsHandler` | `pointsHandler` The points handler used to report parse events.

Fields inherited from class com.mxgraph.util.svg.AbstractParser
`BUNDLE_CLASSNAME, current, errorHandler, reader`

Constructor Summary
`PointsParser(PointsHandler handler)` Creates a new PointsParser.

Method Summary
`protected void` | `doParse()` Parses the current stream.
`PointsHandler` | `getPointsHandler()` Returns the points handler in use.
`void` | `setPointsHandler(PointsHandler handler)` Allows an application to register a points handler.

Methods inherited from class com.mxgraph.util.svg.NumberParser
`buildFloat, parseFloat`

Methods inherited from class com.mxgraph.util.svg.AbstractParser
`createErrorMessage, getBundleClassName, getCurrent, parse, reportCharacterExpectedError, reportError, reportUnexpectedCharacterError, setErrorHandler, skipCommaSpaces, skipSpaces`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pointsHandler

    protected PointsHandler pointsHandler

  The points handler used to report parse events.

### eRead

    protected boolean eRead

  Whether the last character was a 'e' or 'E'.

Constructor Detail

### PointsParser

    public PointsParser(PointsHandler handler)

  Creates a new PointsParser.

Method Detail

### setPointsHandler

    public void setPointsHandler(PointsHandler handler)

  Allows an application to register a points handler.

  If the application does not register a handler, all events reported by the parser will be silently ignored.

  Applications may register a new or different handler in the middle of a parse, and the parser must begin using the new handler immediately.

  Parameters:
    `handler` - The transform list handler.

### getPointsHandler

    public PointsHandler getPointsHandler()

  Returns the points handler in use.

### doParse

    protected void doParse()
                    throws ParseException,
                           IOException

  Parses the current stream.

  Specified by:
    `doParse` in class `AbstractParser`
  Throws:
    `ParseException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.